Bug 1252131 - "showTaskForm" url is not working in BPM Suite 6.1.2
"showTaskForm" url is not working in BPM Suite 6.1.2
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Form Modeler (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity high
: ER4
: 6.2.0
Assigned To: Pere Fernàndez
Marián Macik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 15:02 EDT by Amana
Modified: 2015-12-21 11:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Browser: Firefox (38.2.0) Server: EAP 6.4 OS: RHEL 6 (Santiago)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amana 2015-08-10 15:02:09 EDT
Description of problem:
"formUrl" returned by "showTaskForm" is returning a blank page when hitting it from browser.

Version-Release number of selected component (if applicable):
Tested on BPM Suite 6.1.0 and with Update 2.

How reproducible:
Always

Steps to Reproduce:
1. Create a process with a task form and generate the forms;
2. Use rest call to get the task form as follows:
 
   .../business-central/rest/task/{TASK_ID}/showTaskForm

3. It will return the following output:

{
    "status": "SUCCESS",
    "url": "/business-central/rest/task/50/showTaskForm",
    "formUrl": "http://localhost:8080/business-central/kie-wb.html?perspective=FormDisplayPerspective&standalone=true&opener=mws-bpm2.phx2.llnw.net:8080&taskId=50"
}

4. Go to "formUrl" returned in the browser
5. prompts for login
6. see a blank page


Actual results:
blank page

Expected results:
it should return the task form

Additional info:
Comment 2 Amana 2015-08-27 12:56:57 EDT
Any updates?
Comment 3 Pere Fernàndez 2015-08-28 03:52:57 EDT
Hi Amana sorry for the delay, I arrived yesterday from PTO and I'm still starting catching up all the issues I have on my desk...

This is an authentication error between the two apps, if you enable SSO between both apps it should work fine.

Are both apps running on the same application server? what app server ?
Comment 4 Amana 2015-08-28 12:09:41 EDT
Actually I am hitting that url from the browser... on the same server and app server (EAP 6.4).

Please let me know the steps to test it.
Comment 5 Marco Rietveld 2015-09-01 08:53:42 EDT
Amana, just to make sure that we're not missing anything, could you fill in the browser, server and OS (both server and client) in the "Environment" field for the bug?
Comment 6 Amana 2015-09-01 08:57:12 EDT
Done!
Comment 7 Pere Fernàndez 2015-09-10 14:02:42 EDT
Hi Amana,

I managed to make it work fine by configuring SSO on the EAP, to do that you should follow the next steps:

1.- adding the SSO valve on the business-central.war's jboss-web.xml:
<valve>
    <class-name>org.apache.catalina.authenticator.SingleSignOn</class-name>
</valve>

2.- check that SSO is enabled on the standalone.xml's default virtual-server, by default it is enabled and should and let ti like this.
 <subsystem xmlns="urn:jboss:domain:web:1.1" default-virtual-server="default-host" native="false">
    <connector name="http" protocol="HTTP/1.1" scheme="http" socket-binding="http"/>
   <virtual-server name="default-host" enable-welcome-root="true">
        <alias name="localhost"/>
       <sso/>
  </virtual-server>
</subsystem>

There are other options can be done at this level, but it works as it is with the default config.

3.- Make the client use Container Authentication.


Regards,

Pere
Comment 8 Pavel Kralik 2015-10-09 10:17:09 EDT
The bug is still in BPMS 6.2.0.ER3 due to "Can't lookup on specified data set: jbpmProcessInstances: org.dashbuilder.dataset.exception.DataSetLookupException: Can't lookup on specified data set: jbpmProcessInstances".

Waiting for BPMS 6.2.0.ER4.
Comment 9 Marián Macik 2015-10-27 09:08:47 EDT
I can confirm that the task form is accessible via URL address in the REST response. Verified with 6.2.0.ER4.

Note You need to log in before you can comment on or make changes to this bug.